/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* Global Colours */
/* Brand Yellow | var( --e-global-color-secondary ) */
/* Brand Yellow - 50 | var( --e-global-color-254c54e ) */
/* Background Black | var( --e-global-color-primary ) */

/* Boilerplate */
html, body {
	max-width: 100%;
	overflow-x: hidden;
}
.elementor-widget-text-editor p:last-child,
blockquote p:last-child {
    margin-bottom: 0;
}
p li {
    list-style: square;
}
p li::marker {
	color: var( --e-global-color-secondary );
}

.oo-usp .bold-span {
    padding-bottom: 10px !important;
    display: block;
    font-weight: 700;
}

.elementor-heading-title span {
	color: var( --e-global-color-secondary );
}

/* Body copy link styles */
body p a,
body li a {
	color: var( --e-global-color-secondary );
}
body p a:hover,
body li a:hover {
	text-decoration: underline;
	color: var( --e-global-color-secondary );
}

/* Header */
.oo-header-nav .premium-nav-menu-item:not(.oo-btn-outline, .oo-btn-solid) {
    margin: 0 24px;
}
@media (max-width: 1366px) {
    .oo-header-nav .premium-nav-menu-item:not(.oo-btn-outline, .oo-btn-solid) {
        margin: 0 16px;
    }
}
.oo-header-nav .premium-menu-link {
	padding: 0;
}
.oo-header-nav .oo-btn-outline {
	margin-left: 14px;
	margin-right: 12px;
}
.oo-btn-outline .jet-mega-menu-item__label,
.oo-btn-solid .jet-mega-menu-item__label {
    transition: all .3s ease;
}
.oo-header-nav .oo-btn-outline .premium-menu-link {
    padding: 12px 24px;
    border: solid 2px var( --e-global-color-secondary );
    text-transform: uppercase;
    background-color: transparent;
    color: var( --e-global-color-secondary ) !important;
    font-weight: 600;
	border-radius: 0;
}
.oo-header-nav .oo-btn-outline .premium-menu-link:hover,
.oo-header-nav .oo-btn-outline .premium-menu-link:focus {
    border: solid 2px #fff;
    color: #fff !important;
}
.oo-header-nav .oo-btn-outline .premium-menu-link:active {
    border: solid 2px var( --e-global-color-254c54e );
    color: var( --e-global-color-254c54e ) !important;
}
.oo-header-nav .oo-btn-solid .premium-menu-link {
    padding: 12px 24px;
    text-transform: uppercase;
    background-color: var( --e-global-color-secondary );
    color: #000 !important;
    font-weight: 600;
	border-radius: 0;
}
.oo-header-nav .oo-btn-solid .premium-menu-link:hover,
.oo-header-nav .oo-btn-solid .premium-menu-link:focus {
    background-color: #fff;
    color: #000 !important;
}
.oo-header-nav .oo-btn-solid .premium-menu-link:active {
    background-color: var( --e-global-color-254c54e );
}
.oo-header-nav .menu-item-has-children:hover .premium-dropdown-icon {
    transform: rotate(180deg);
}

/* Mega Menu */
.premium-nav-menu-item .premium-menu-link .oo-mega-menu-level1 {
    height: auto !important;
}
.oo-mega-menu-button a,
.oo-mega-menu-heading a {
    text-align: left;
}
.oo-mega-menu-heading svg {
    margin-top: 5px;
}

.oo-mega-menu-heading a:hover {
	text-decoration: none;
}

.oo-mega-menu-heading:hover svg,
.oo-animated-arrow-button:hover svg {
    transform: translate(5px);
}
.oo-mega-menu-heading svg,
.oo-animated-arrow-button svg {
    transition: all .3s ease;
}

.oo-animated-arrow-button span.elementor-button-text {
	text-align: left;
}
/* .oo-mega-menu-level2 .menu-item {
    display: table;
}
.oo-mega-menu-level2 .menu-item:after {
    content: url("data:image/svg+xml,%3Csvg width='12' height='12' viewBox='0 0 12 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath id='arrow_forward' d='M9.125 6.75H0V5.25H9.125L4.9375 1.0625L6 0L12 6L6 12L4.9375 10.9375L9.125 6.75Z' fill='white'/%3E%3C/svg%3E");
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 100%;
    margin-left: 5px;
    opacity: 0;
    transition: all .3s ease;
}
.oo-mega-menu-level2 .menu-item:hover:after {
    opacity: 1;
    left: calc(100% + 10px);
} */

.oo-mega-menu-level2 .menu-item a {
    padding-bottom: 20px !important;
    border-bottom: 1px solid #383838 !important;
    width: 100% !important;
}

.oo-mega-menu-level2 .menu-item:last-child a {
    border-bottom: none !important;
    width: 100% !important;
}

.oo-mega-menu-level2 .menu-item {
    display: flex;
}

.oo-mega-menu-level2 .menu-item a:hover {
	text-decoration: none;
}

.oo-mega-menu-level2 .menu-item:after {
    content: url("data:image/svg+xml,%3Csvg width='12' height='12' viewBox='0 0 12 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath id='arrow_forward' d='M9.125 6.75H0V5.25H9.125L4.9375 1.0625L6 0L12 6L6 12L4.9375 10.9375L9.125 6.75Z' fill='white'/%3E%3C/svg%3E");
    position: absolute;
    top: 50%;
    transform: translateY(calc(-50% - 10px));
    left: calc(100% - 30px);
    margin-left: 5px;
    opacity: 0;
    transition: all .3s ease;
}
.oo-mega-menu-level2 .menu-item:hover:after {
    opacity: 1;
    left: calc(100% - 20px);
}

/* Buttons */
[type=submit] {
	all: unset;
}
.oo-btn-outline a,
[type=submit] {
    padding: 12px 24px;
    border: solid 2px var( --e-global-color-secondary );
    text-transform: uppercase;
    background-color: transparent;
    color: var( --e-global-color-secondary ) !important;
    font-weight: 600 !important;
	font-family: 'Open Sans' !important;
	border-radius: 0 !important;
}
.oo-btn-outline a:hover,
[type=submit]:hover,
.oo-btn-outline a:focus,
[type=submit]:focus {
    border: solid 2px #fff;
    color: #fff !important;
	background-color: transparent;
}

.oo-btn-outline a:active,
[type=submit]:active {
	border: solid 2px var( --e-global-color-254c54e );
	color: var( --e-global-color-254c54e ) !important;
	background-color: transparent;
}

.oo-btn-solid a {
    padding: 12px 24px;
    text-transform: uppercase;
    background-color: var( --e-global-color-secondary );
    color: #000 !important;
    font-weight: 600;
	border-radius: 0 !important;
}
.oo-btn-solid a:hover,
.oo-btn-solid a:focus {
    background-color: #fff;
    color: #000 !important;
}
.oo-btn-solid a:active {
    background-color: var( --e-global-color-254c54e );
}

/* Forms */
/* Form error styling */
.wpforms-form .wpforms-field input.wpforms-error, .wpforms-form .wpforms-field textarea.wpforms-error, .wpforms-form .wpforms-field select.wpforms-error, .wpforms-has-error .choices.wpforms-field-row.wpforms-field-medium {
    border: 1px solid var( --e-global-color-secondary ) !important;
}
.wpforms-form .wpforms-error,
.wpforms-form .wpforms-required-label {
	color: var( --e-global-color-secondary ) !important;
}
.oo-contact-form {
    font-family: 'Open Sans' !important;
    font-size: 16px !important;
}
.oo-contact-form .wpforms-field-label {
    padding-bottom: 10px !important;
    font-weight: 700 !important;
}
.oo-contact-form ::placeholder {
    color: #9CA3AF !important;
}
.oo-contact-form input,
.oo-contact-form textarea,
.oo-contact-form select {
    background-color: #2C2C2C !important;
    border: 2px solid #383838 !important;
    border-radius: 0 !important;
    padding: 12px 16px !important;
    color: #9CA3AF !important;
}
@media (max-width: 767px) {
    .oo-contact-form .wpforms-one-half {
        width: 100% !important;
        padding: 0 !important;
    }
    .oo-contact-form .wpforms-one-half:first-of-type {
        margin-bottom: 20px !important;
    }
}

/* Custom Scrollbar */
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background: var( --e-global-color-primary );
}
::-webkit-scrollbar-thumb {
  background: var( --e-global-color-secondary );
}
::-webkit-scrollbar-thumb:hover {
  background: var( --e-global-color-254c54e );
}

/* Footer */
.oo-footer-cta span {
    color: var( --e-global-color-secondary );
}
.oo-social .elementor-icon:hover svg path {
    fill: var( --e-global-color-secondary );
}

/* Services Tabs */
.oo-service-tabs .jet-tabs__control-inner {
    justify-content: space-between !important;
    padding: 20px 0;
    border-bottom: 1px solid var( --e-global-color-06414bf ) !important;
}
.oo-service-tabs .active-tab .jet-tabs-icon {
    transform: rotate(90deg);
    transition: all .3s linear;
}
.oo-service-tabs .active-tab .jet-tabs-icon .oo-plus-crossbar {
    transform: scale(0);
    transition-duration: .6s;
    transform-origin: center;
}
.oo-service-tabs .jet-tabs-icon {
    transform: rotate(-90deg);
    transition: all .3s linear;
}
.oo-service-tabs .jet-tabs-icon .oo-plus-crossbar {
    transform: scale(1);
    transition-duration: .6s;
    transform-origin: center;
}
@media (max-width: 1200px) {
    .oo-service-tabs .jet-tabs > .jet-tabs__control-wrapper {
        align-self: stretch !important;
        border-bottom: 1px solid var( --e-global-color-06414bf ) !important;
    }
    .oo-service-tabs .jet-tabs__control-inner {
        padding: 20px 10px;
    }
    .oo-service-tabs .jet-tabs-icon {
        margin-left: 10px;
    }
    .oo-service-tabs #jet-tabs-control-1261 {
        margin-left: -10px;
    }
}
@media (max-width: 1024px) {
    .oo-service-tabs .jet-tabs > .jet-tabs__control-wrapper {
        display: block;
    }
    .oo-service-tabs .jet-tabs-icon {
        display: flex;
    }
    .oo-service-tabs #jet-tabs-control-1261 {
        margin-left: 0px;
    }
    .oo-service-tabs .jet-tabs__control-inner {
        padding: 20px 0;
    }
}
@media (max-width: 1200px) {
  #jet-tabs-control-1264 {
        border: none !important;
    }
}
@keyframes moveUp { /* Changed 0% values to suit */
    0% {
        opacity: 0;
        -webkit-transform: translateY(350px);
        transform: translateY(350px);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}

/* Testimonials */
/* Next arrow alignment */
.oo-testimonial-slider .jet-listing-grid__slider-icon.next-arrow {
    right: calc(max(96px, (100vw - 1464px) / 2)) !important; /* Align with boxed content */
    visibility: hidden !important;
}
/* Previous arrow alignment: Place left of the next arrow */
.oo-testimonial-slider .jet-listing-grid__slider-icon.prev-arrow {
    right: calc(max(96px, (100vw - 1464px) / 2) + 56px) !important; /* Offset to the left of the next arrow */
    visibility: hidden !important;
}
/* Custom arrow icons */
.oo-testimonial-slider .prev-arrow:before {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 32 32' fill='none'%3E%3Cpath d='M5.7 17.5L18.1 29.9L16 32L0 16L16 0L18.1 2.1L5.7 14.5H32V17.5H5.7Z' fill='white'/%3E%3C/svg%3E");
    visibility: visible !important;
    transition: all .3s linear;
}
.oo-testimonial-slider .prev-arrow:hover:before {
    transform: translateX(-5px);
}
.oo-testimonial-slider .next-arrow:after {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 32 32' fill='none'%3E%3Cpath d='M26.3 17.5H0V14.5H26.3L13.9 2.1L16 0L32 16L16 32L13.9 29.9L26.3 17.5Z' fill='white'/%3E%3C/svg%3E");
    visibility: visible !important; /* Ensure visibility */
    transform: rotate(180deg) !important; /* Rotate icon */
    margin-top: -20px !important; /* Adjust alignment */
    transition: all .3s linear;
}
.oo-testimonial-slider .next-arrow:hover:after {
    transform: rotate(180deg) translateX(5px) !important;
}
/* Responsive adjustments for smaller screens */
@media (max-width: 1366px) {
    .oo-testimonial-slider .jet-listing-grid__slider-icon.next-arrow {
        right: calc(max(64px, (100vw - 1366px) / 2)) !important;
    }
    .oo-testimonial-slider .jet-listing-grid__slider-icon.prev-arrow {
        right: calc(max(64px, (100vw - 1366px) / 2) + 56px) !important;
    }
}
@media (max-width: 880px) {
    .oo-testimonial-slider .jet-listing-grid__slider-icon.next-arrow {
        right: calc(max(0px, (100vw - 880px) / 2)) !important;
    }
    .oo-testimonial-slider .jet-listing-grid__slider-icon.prev-arrow {
        right: calc(max(0px, (100vw - 880px) / 2) + 56px) !important;
    }
}
@media (max-width: 767px) {
    .oo-testimonial-slider .jet-listing-grid__slider-icon.next-arrow {
        left: calc(50% + 40px) !important;
        right: unset !important;
    }
    .oo-testimonial-slider .jet-listing-grid__slider-icon.next-arrow:after {
        margin-top: 0px !important;
    }
    .oo-testimonial-slider .jet-listing-grid__slider-icon.prev-arrow {
        left: calc(50% - 40px) !important;
        right: unset !important;
    }
    .oo-testimonial-slider .jet-listing-grid__slider-icon.next-arrow,
    .oo-testimonial-slider .jet-listing-grid__slider-icon.prev-arrow {
        top: unset !important;
    }
    .oo-testimonial-slider .slick-arrow {
        bottom: -64px !important;
    } 
}

/* FAQ Accordion */
.oo-faq-accordion .jet-toggle__label-text {
    padding: 28px 0;
}
.oo-faq-accordion .jet-toggle.active-toggle {
    background-color: var( --e-global-color-secondary ) !important;
    border-width: 1px 1px 1px 1px !important;
}
.oo-faq-accordion .jet-toggle__content {
    border: none !important;
    margin-top: -1px !important;
}
.oo-faq-accordion .jet-toggle__label-icon.jet-toggle-icon-position-right {
    align-self: flex-start;
}
.oo-faq-accordion .jet-toggle__label-icon.jet-toggle-icon-position-right {
/*     border-left: 1px solid var( --e-global-color-secondary ) !important; */
	box-shadow: inset 1px 1px 1px var( --e-global-color-secondary );
    align-self: stretch !important;
}
.oo-faq-accordion .icon-normal {
    display: none !important;
}
.oo-faq-accordion .icon-active {
    display: flex !important;
    transition: all .3s linear;
}

.oo-faq-accordion [aria-expanded="false"] .icon-active {
    background-color: transparent;
    border-radius: 0;
    height: 86px;
    width: 86px;
}
.oo-faq-accordion [aria-expanded="true"] .jet-toggle__label-icon {
    background-color: var( --e-global-color-secondary ) !important;
}
.oo-faq-accordion .jet-toggle__icon svg {
    width: 30px !important;
    height: 30px !important;
}
.oo-faq-accordion [aria-expanded="true"] .icon-active svg {
    transform: rotate(90deg);
    transition: all .3s linear;
}
.oo-faq-accordion [aria-expanded="true"] svg .oo-plus-crossbar {
    transform: scale(0);
    transition-duration: .6s;
    transform-origin: center;
}
.oo-faq-accordion [aria-expanded="false"] .icon-active svg {
    transform: rotate(-90deg);
    transition: all .3s linear;
}
@media (max-width: 1200px) {
    .oo-faq-accordion [aria-expanded="false"] .icon-active {
        height: 66px;
        width: 66px;
    }
    .oo-faq-accordion .jet-toggle__icon svg {
        width: 20px !important;
        height: 20px !important;
    }
    .oo-faq-accordion .jet-toggle__label-text {
        padding: 20px 0;
    }
}
@media (max-width: 767px) {
    .oo-faq-accordion [aria-expanded="false"] .icon-active {
        height: 46px;
        width: 46px;
    }
    .oo-faq-accordion .jet-toggle__icon svg {
        width: 15px !important;
        height: 15px !important;
        margin-top: 20px;
    }
}

/* Icon Boxes */
.oo-benefit-box .elementor-icon-box-wrapper {
    align-items: center;
}

.oo-number-box {
    height: 64px;
    width: 64px;
}
.oo-number-box span {
    line-height: 1.4 !important;
}

/* Blog Preloader */
#custom-loader {
    position: fixed; /* Keep the loader in the viewport */
    top: 75%; /* Center vertically */
    left: 50%; /* Center horizontally */
    transform: translate(-50%, -75%); /* Offset to center */
    width: auto; /* Ensure size adapts to content */
    height: auto; /* Ensure size adapts to content */
    z-index: 9999; /* Ensure it appears above all content */
    visibility: hidden; /* Default hidden */
    opacity: 0; /* Default transparent */
    display: none; /* Prevent it from taking up space */
    transition: opacity 0.3s ease-in-out; /* Smooth transition */
}
#custom-loader.loading {
    visibility: visible; /* Make it visible */
    opacity: 1; /* Fully opaque */
    display: flex; /* Show loader */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}
@media (max-width: 767px) {
	#custom-loader {
		top: 100% !important; /* Center vertically */
		left: 50%; /* Center horizontally */
		transform: translate(-50%, -50%) !important; /* Offset to center */
	}
}
.jsf_provider-preloader-lines-wave.oo-custom-loader {
    width: 1.2em !important;
    height: 0.8em;
    overflow: hidden;
    transform: skew(-25deg) !important;
}
.jsf_provider-preloader-lines-wave.oo-custom-loader>div {
    float: left;
    height: 0.8em;
    width: 0.2em !important;
    margin: 0 0.05em 0 0;
    background-color: #1E1E1E !important;
    -webkit-animation: jsf_provider-preloader-lines-wave-stretchdelay 1.2s infinite ease-in-out;
    animation: jsf_provider-preloader-lines-wave-stretchdelay 1.2s infinite ease-in-out;
    border: 1px solid #fff !important;
}
.jsf_provider-preloader-lines-wave.oo-custom-loader>div:nth-child(2) {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
    background-color: #E12326 !important;
}
.jsf_provider-preloader-lines-wave.oo-custom-loader>div:nth-child(3) {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
    background-color: #FFDC2F !important;
}
.jsf_provider-preloader-lines-wave.oo-custom-loader>div:nth-child(4) {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
    background-color: #979799 !important;
}
.jsf_provider-preloader-lines-wave.oo-custom-loader>div:nth-child(5) {
    margin-right: 0;
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
    background-color: #1E1E1E !important;
}
/* Overriding default preloader styling */
.jsf_provider-preloader-lines-wave {
    width: 3em !important;
    height: 1em !important;
    overflow: hidden;
    transform: skew(-25deg) !important;
}
.jsf_provider-preloader-lines-wave>div {
    float: left;
    height: 1em !important;
    width: 0.26em !important;
    margin: 0 0.05em 0 0;
    background-color: #1E1E1E;
    -webkit-animation: jsf_provider-preloader-lines-wave-stretchdelay 1.2s infinite ease-in-out;
    animation: jsf_provider-preloader-lines-wave-stretchdelay 1.2s infinite ease-in-out;
    border: 1px solid #fff !important;
}

.jsf_provider-preloader-lines-wave>div:nth-child(2) {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
    background-color: #E12326;
}
.jsf_provider-preloader-lines-wave>div:nth-child(3) {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
    background-color: #FFDC2F !important;
}
.jsf_provider-preloader-lines-wave>div:nth-child(4) {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
    background-color: #979799 !important;
}
.jsf_provider-preloader-lines-wave>div:nth-child(5) {
    margin-right: 0;
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
    background-color: #1E1E1E !important;
}